# $Revision: 1.53.2.2 $, $Date: 2006/10/02 19:55:05 $
# TODO
# - bconds: altivec joystick lcd
# - lcd? (app-misc/lcdproc)
# - icons for desktop entries
# - alpha, sparc, ppc arches?
#
# Specfile for MythTV
#
#  MythTV now uses a fairly intelligent cpu-detection script, so if you are
#  building an rpm by hand on the machine it will be used on, I encourage you
#  to use "--with cpu_autodetect" to let mythtv decide for you.
#
# Conditional build:
%bcond_with	cpu_autodetect	# enable CPU autodetection at compile time (sets "-march", "-mcpu" compile flags really)
%bcond_without	lirc		# lirc support
%bcond_without	alsa		# alsa support
%bcond_without	oss		# oss support
%bcond_without	arts		# arts support
%bcond_without	jack		# jack audio connection kit
%bcond_with	oggvorbis	# ogg vorbis (gone?!)
%bcond_without	opengl		# opengl vsync
%bcond_without	dvb		# DVB support
%bcond_without	xrandr		# disable X11 resolution switching
%bcond_with	ivtv		# ivtv support (PVR-250, PVR-350) NFY
%bcond_with	firewire	# ieee1394 (NFY)
%bcond_without	xvmc		# do not use XvMCW
%bcond_with	mmx			# enable mmx

# enable mmx automatically on arches having it
%ifarch %{ix86} %{x8664}
%ifnarch i386 i486 i586 i686
%define	with_mmx 1
%endif
%endif

Summary:	A personal video recorder (PVR) application
Summary(pl):	Osobista aplikacja do nagrywania obrazu (PVR)
Name:		mythtv
Version:	0.19
Release:	5
License:	GPL v2
Group:		Applications/Multimedia
Source0:	http://www.mythtv.org/mc/%{name}-%{version}.tar.bz2
# Source0-md5:	ebba5829d264bb4de2f75cae936141f4
Source1:	mythbackend.sysconfig
Source2:	mythbackend.init
Source3:	mythbackend.logrotate
Source5:	mythfrontend.desktop
Patch0:		%{name}-lib64.patch
Patch1:		%{name}-x86_64-configure.patch
Patch2:		%{name}-mythstream.patch
Patch3:		%{name}-ldconfig.patch
Patch4:		%{name}-pl.patch
Patch5:		%{name}-sbinpath.patch
Patch6:		%{name}-ticket-1310.patch
Patch7:		%{name}-optflags.patch
Patch8:		%{name}-branch.diff
URL:		http://www.mythtv.org/
#BuildRequires:	DirectFB-devel
BuildRequires:	XFree86-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%{?with_arts:BuildRequires:	arts-devel >= 13:0.9.5}
BuildRequires:	freetype-devel >= 1:2.0.0
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
BuildRequires:	lame-libs-devel
%{?with_xvmc:BuildRequires:	libXvMCW-devel}
%{?with_firewire:BuildRequires:	libavc1394-devel}
%{?with_dvb:BuildRequires:	libdvb-devel}
BuildRequires:	libdvdnav-devel
%{?with_firewire:BuildRequires:	libiec61883-devel}
%{?with_firewire:BuildRequires:	libraw1394-devel}
%{?with_oggvorbis:BuildRequires:	libvorbis-devel}
BuildRequires:	linux-libc-headers >= 7:2.6.10
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	mysql-devel
BuildRequires:	patchutils
BuildRequires:	qmake >= 6:3.2.1-4
BuildRequires:	qt-devel >= 6:3.2.1-4
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	sed >= 4.0
# for bundled libavcodec
BuildRequires:	libdts-devel
#BuildConflicts:	libmyth-devel
ExclusiveArch:	%{ix86} %{x8664} ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	myth_api_version %(echo %{version} | cut -d. -f1,2)

%description
MythTV implements the following PVR features, and more, with a unified
graphical interface:
- Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
- Video compression using RTjpeg or MPEG-4
- Program listing retrieval using XMLTV
- Themable, semi-transparent on-screen display
- Electronic program guide
- Scheduled recording of TV programs
- Resolution of conflicts between scheduled recordings
- Basic video editing

%description -l pl
MythTV implementuje nastpujce moliwoci PVR, a nawet wicej, wraz z
ujednoliconym interfejsem graficznym:
- podstawowa funkcjonalno "live-tv"; pauza, szybkie przewijanie,
  przewijanie "ywej" telewizji
- kompresja obrazu przy uyciu RTjpeg lub MPEG-4
- odczyt listy programw przy uyciu XMLTV
- pseudoprzezroczyste wywietlanie na obrazie (OSD) z obsug motyww
- elektroniczny przewodnik po programie
- planowane nagrywanie programw telewizyjnych
- rozwizywanie konfliktw midzy planowanymi nagraniami
- podstawowa edycja obrazu

%package backend
Summary:	Server component of mythtv (a PVR)
Summary(pl):	Cz serwerowa mythtv (PVR)
Group:		Applications/Multimedia
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	libmyth = %{version}-%{release}
Requires:	mythtv = %{version}-%{release}
Provides:	group(mythtv)
Provides:	user(mythtv)

%description backend
MythTV provides a unified graphical interface for recording and
viewing television programs. Refer to the mythtv package for more
information.

This package contains only the server software, which provides video
and audio capture and encoding services. In order to be useful, it
requires a mythtv-frontend installation, either on the same system or
one reachable via the network.

%description backend -l pl
MythTV dostarcza ujednolicony interfejs graficzny do nagrywania i
ogldania programw telewizyjnych. Wicej informacji w pakiecie
mythtv.

Ten pakiet zawiera tylko oprogramowanie serwerowe, udostpniajce
usugi przechwytywania i kodowania obrazu i dwiku. Aby byo
przydatne, wymaga instalacji mythtv-frontend - na tym samym systemie,
albo innym osigalnym po sieci.

%package frontend
Summary:	Client component of mythtv (a PVR)
Summary(pl):	Cz kliencka mythtv (PVR)
Group:		Applications/Multimedia
Requires:	libmyth = %{version}-%{release}
Requires:	mythtv = %{version}-%{release}
Requires:	mythtv-themes = %{version}-%{release}
Provides:	mythtv-frontend-api = %{myth_api_version}

%description frontend
MythTV provides a unified graphical interface for recording and
viewing television programs. Refer to the mythtv package for more
information.

This package contains only the client software, which provides a
front-end for playback and configuration. It requires access to a
mythtv-backend installation, either on the same system or one
reachable via the network.

%description frontend -l pl
MythTV dostarcza ujednolicony interfejs graficzny do nagrywania i
ogldania programw telewizyjnych. Wicej informacji w pakiecie
mythtv.

Ten pakiet zawiera tylko oprogramowanie klienckie, dostarczajce
frontend do odtwarzania i konfiguracji. Wymaga dostpu do instalacji
mythtv-backend - na tym samym systemie, albo innym osigalnym po
sieci.

%package setup
Summary:	Setup the mythtv backend
Summary(pl):	Konfigurator backendu mythtv
Group:		Applications/Multimedia
Requires:	libmyth = %{version}-%{release}

%description setup
MythTV provides a unified graphical interface for recording and
viewing television programs. Refer to the mythtv package for more
information.

This package contains only the setup software for configuring the
mythtv backend.

%description setup -l pl
MythTV dostarcza ujednolicony interfejs graficzny do nagrywania i
ogldania programw telewizyjnych. Wicej informacji w pakiecie
mythtv.

Ten pakiet zawiera tylko program do konfigurowania backendu mythtv.

%package themes
Summary:	Base themes for mythtv's frontend
Summary(pl):	Podstawowe motywy dla frontendu mythtv
Group:		Applications/Multimedia

%description themes
MythTV provides a unified graphical interface for recording and
viewing television programs. Refer to the mythtv package for more
information.

This package contains only the base themes used by the frontend and
mythtvsetup.

%description themes -l pl
MythTV dostarcza ujednolicony interfejs graficzny do nagrywania i
ogldania programw telewizyjnych. Wicej informacji w pakiecie
mythtv.

Ten pakiet zawiera tylko podstawowe motywy uywane przez frontend oraz
mythtvsetup.

%package -n libmyth
Summary:	Library providing mythtv support
Summary(pl):	Biblioteka udostpniajca obsug mythtv
Group:		Libraries
Requires:	freetype >= 1:2.0.0
Requires:	lame
Requires:	qt >= 6:3.2.1-4
Requires:	qt-plugin-mysql >= 6:3.2.1-4

%description -n libmyth
Common library code for MythTV and add-on modules (development) MythTV
provides a unified graphical interface for recording and viewing
television programs. Refer to the mythtv package for more information.

%description -n libmyth -l pl
Wsplny kod biblioteki dla MythTV i dodatkowych moduw MythTV
dostarczajcy ujednolicony interfejs graficzny do nagrywania i
ogldania programw telewizyjnych. Wicej informacji w pakiecie
mythtv.

%package -n libmyth-devel
Summary:	Development files for libmyth
Summary(pl):	Pliki nagwkowe libmyth
Group:		Development/Libraries
Requires:	libmyth = %{version}-%{release}

%description -n libmyth-devel
This package contains the header files for developing add-ons for
mythtv.

%description -n libmyth-devel -l pl
Ten pakiet zawiera pliki nagwkowe do tworzenia dodatkw dla mythtv.

%package -n libmyth-static
Summary:	Static libmyth library
Summary(pl):	Statyczna biblioteka libmyth
Group:		Development/Libraries
Requires:	libmyth-devel = %{version}-%{release}

%description -n libmyth-static
Static libmyth library.

%description -n libmyth-static -l pl
Statyczna biblioteka libmyth.

%prep
%setup -q %{?_rev:-n %{name}}
%if %{_lib} != "lib"
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p1
filterdiff -i 'mythtv/*' %{PATCH8} | %{__patch} -p1 -s

rm -rf database/old # not supported in PLD

# lib64 fix - enable to update patch
%if %{_lib} != "lib" && 0
find '(' -name '*.[ch]' -o -name '*.cpp' -o -name '*.pro' ')' | \
xargs grep -l /lib . | xargs sed -i -e '
	s,/''usr/lib/,/%{_libdir}/,g
	s,/''lib/mythtv,/%{_lib}/mythtv,g
	s,{PREFIX}/lib$,{PREFIX}/%{_lib},g
'
exit 1
%endif

%build
%if %{with cpu_autodetect}
# Make sure we have /proc mounted
if [ ! -r /proc/cpuinfo ]; then
	echo "You need to have /proc mounted in order to build with cpu_autodetect!"
	exit 1
fi
%endif
export QTDIR="%{_prefix}"

%if "%{_lib}" != "lib"
export QMAKE_LIBDIR_X11=%{_prefix}/X11R6/%{_lib}
# help configure::has_library() to locate libs
export LD_LIBRARY_PATH=%{_libdir}
%endif

# NB: not autoconf configure
export CC="%{__cc}"
export CXX="%{__cxx}"
./configure \
 	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--disable-opts \
	--disable-distcc --disable-ccache \
	--compile-type=%{?debug:debug}%{!?debug:release} \
	--extra-cflags="%{rpmcflags} -fomit-frame-pointer" \
	--extra-cxxflags="%{rpmcxxflags} -fomit-frame-pointer" \
%if %{with cpu_autodetect}
	--enable-proc-opt \
%else
	%ifarch %{ix86}
		%ifarch athlon
			--arch=athlon \
		%else
			--cpu=i386 --tune=pentium4 \
		%endif
	%endif
	%ifarch %{x8664}
	--arch=x86_64 \
	%endif
	%{?with_mmx:--enable-mmx} \
%endif
	%{?with_dvb:--enable-dvb --dvb-path=%{_includedir} --enable-dvb-eit} \
	--%{?with_arts:en}%{!?with_arts:dis}able-audio-arts \
	--%{?with_alsa:en}%{!?with_alsa:dis}able-audio-alsa \
	--%{?with_oss:en}%{!?with_oss:dis}able-audio-oss \
	--%{?with_jack:en}%{!?with_jack:dis}able-audio-jack \
	--enable-dvd \
	--%{?with_opengl:en}%{!?with_opengl:dis}able-opengl-vsync \
	--%{?with_lirc:en}%{!?with_lirc:dis}able-lirc \
	--%{?with_firewire:en}%{!?with_firewire:dis}able-firewire \
	--%{?with_xrandr:en}%{!?with_xrandr:dis}able-xrandr \
	--%{?with_xvmc:en}%{!?with_xvmc:dis}able-xvmc \
	--enable-xv \
	--enable-x11 \

#	--%{?with_oggvorbis:en}%{!?with_oggvorbis:dis}able-vorbis \
#	--disable-joystick-menu \
#	--disable-ivtv \
#	--enable-directfb	enable DirectFB (Linux non-X11 video)
#	--enable-directx	enable DirectX  (Microsoft video)

qmake mythtv.pro
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,sysconfig} \
		$RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_desktopdir}} \
		$RPM_BUILD_ROOT/var/{cache,lib,log,run}/mythtv \
		$RPM_BUILD_ROOT%{_libdir}/mythtv/plugins

export QTDIR="%{_prefix}"
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# Install the files that we added on top of mythtv's own stuff
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/mythbackend
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/mythbackend
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/mythbackend

# desktop entries
install %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}

# Install settings.pro so people can see the build options we used
install -d $RPM_BUILD_ROOT%{_datadir}/mythtv/build
install config.mak settings.pro $RPM_BUILD_ROOT%{_datadir}/mythtv/build

for p in mythfrontend; do
	for l in $RPM_BUILD_ROOT%{_datadir}/mythtv/i18n/${p}_*.qm; do
		echo $l | sed -e "s,^$RPM_BUILD_ROOT\(.*${p}_\(.*\).qm\),%%lang(\2) \1,"
	done > $p.lang
done

# glibc language codes. attempt was made to change it on libmyth side,
# but that was just asking for trouble due large coverage of
# language.lower() usage.
sed -i -e '
s,%%lang(en_gb),%%lang(en_GB),
s,%%lang(zh_tw),%%lang(zh_TW),
s,%%lang(pt_br),%%lang(pt_BR),
' *.lang

rm -rf mythtvosd mythwelcome mythlcdserver
install -d mythtvosd mythwelcome
cp -a programs/mythtvosd/{README,*.xml} mythtvosd
cp -a programs/mythwelcome/README mythwelcome
cp -a programs/mythlcdserver/README mythlcdserver

%clean
rm -rf $RPM_BUILD_ROOT

%pre backend
%groupadd -g 149 %{name}
%useradd -u 149 -d /var/lib/mythtv -g %{name} -c "MythTV User" %{name}
%addusertogroup %{name} video
%addusertogroup %{name} audio

%post backend
/sbin/chkconfig --add mythbackend

%preun backend
if [ "$1" = "0" ]; then
	%service -q mythbackend stop
	/sbin/chkconfig --del mythbackend
fi

%postun backend
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%post	-n libmyth -p /sbin/ldconfig
%postun	-n libmyth -p /sbin/ldconfig

%post setup
if [ "$1" = 1 ]; then
%banner -e %{name}-setup <<EOF
To grant mysql permissions to mythtv, please run
zcat %{_docdir}/%{name}-setup-%{version}/database/mc.sql.gz | mysql
EOF
fi

%files
%defattr(644,root,root,755)
%doc README* UPGRADING AUTHORS FAQ
%doc docs contrib configfiles
%doc keys.txt mythtvosd mythwelcome mythlcdserver

%files backend
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/mythbackend
%attr(755,root,root) %{_sbindir}/mythcommflag
%attr(755,root,root) %{_bindir}/mythfilldatabase
%attr(755,root,root) %{_sbindir}/mythjobqueue
%attr(755,root,root) %{_sbindir}/mythlcdserver
%attr(755,root,root) %{_bindir}/mythtranscode
%attr(775,root,mythtv) %dir /var/lib/mythtv
%attr(775,root,mythtv) %dir /var/cache/mythtv
%attr(775,root,mythtv) %dir /var/run/mythtv
%attr(754,root,root) /etc/rc.d/init.d/mythbackend
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mythbackend
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/mythbackend
%attr(775,root,mythtv) %dir %{_localstatedir}/log/mythtv

%files frontend -f mythfrontend.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mythfrontend
%attr(755,root,root) %{_bindir}/mythshutdown
%attr(755,root,root) %{_bindir}/mythtv
%attr(755,root,root) %{_bindir}/mythtvosd
%attr(755,root,root) %{_bindir}/mythwelcome
%dir %{_datadir}/mythtv
%dir %{_libdir}/mythtv
%{_datadir}/mythtv/*.xml
%dir %{_libdir}/mythtv/filters
%dir %{_libdir}/mythtv/plugins
%attr(755,root,root) %{_libdir}/mythtv/filters/*.so
%{_datadir}/mythtv/*.ttf
%dir %{_datadir}/mythtv/i18n
%{_desktopdir}/*.desktop

%files setup
%defattr(644,root,root,755)
%doc database
%attr(755,root,root) %{_bindir}/mythtv-setup

%files themes
%defattr(644,root,root,755)
%{_datadir}/mythtv/themes

%files -n libmyth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files -n libmyth-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/mythtv/build

%files -n libmyth-static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mythtv.spec,v $
Revision 1.53.2.2  2006/10/02 19:55:05  glen
- rel 5

Revision 1.53.2.1  2006/09/09 01:28:31  glen
- rel 4 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.53  2006/09/05 02:03:35  glen
- rel 3

Revision 1.52  2006/09/04 23:41:52  glen
- rel 2.4

Revision 1.51  2006/05/28 13:10:57  glen
- filter branch.diff
- sort BR

Revision 1.50  2006/05/28 11:59:54  glen
- add optflags patch
- add branch.diff: release 0.19 fixes up to svn 10051

Revision 1.49  2006/05/13 08:49:09  charles
- with_jack typo
- rm redundant BR gcc-c++

Revision 1.48  2006/04/23 16:47:03  glen
- AAAAA

Revision 1.47  2006/04/23 13:55:41  glen
- disable buildconflicts

Revision 1.46  2006/04/23 12:08:50  glen
- rel 2

Revision 1.45  2006/02/17 13:19:50  glen
- fix arts build

Revision 1.44  2006/02/13 01:21:55  glen
- restore lost changelog, rel 1

Revision 1.43  2006/02/12 23:58:17  glen
- merged from DEVEL

Revision 1.42  2006/01/31 13:39:40  luzik
- added mythstram support

Revision 1.41  2005/11/19 23:42:17  glen
- rel 1

Revision 1.40  2005/11/03 22:13:33  glen
- typos

Revision 1.39.2.21  2006/02/12 22:36:11  glen
- 0.19 release

Revision 1.39.2.20  2006/02/05 14:36:48  glen
- use patching instead for sbin move

Revision 1.39.2.19  2006/02/04 17:35:07  glen
- pl language by luzik

Revision 1.39.2.18  2006/02/04 17:33:04  glen
- move unuseful programs (for the user) to sbindir

Revision 1.39.2.17  2006/02/04 17:01:21  glen
- strict internal deps
- move %myth_api_version somewhere visible

Revision 1.39.2.16  2006/02/04 16:54:09  glen
- standard permissions on sysconfig and logrotate file

Revision 1.39.2.15  2006/02/04 16:52:10  glen
- r8859, includes sql fix (http://cvs.mythtv.org/trac/changeset/8856)

Revision 1.39.2.14  2006/02/04 15:38:33  glen
- skip ldconfig at install
- db auto_reconnect lack workaround for mysqlclient 5.0.13+

Revision 1.39.2.13  2006/02/03 19:35:56  glen
- cleanup Version to prevent Epoch bump
- %lang to i18n files

Revision 1.39.2.12  2006/02/03 01:14:42  glen
- disable ./configure decision on optflags, we pass our own (should we?)

Revision 1.39.2.11  2006/02/02 14:47:39  glen
- merged mythstram support from HEAD

Revision 1.39.2.10  2006/01/30 18:22:47  glen
- svn r8763 (20060129)

Revision 1.39.2.9  2006/01/12 12:49:24  glen
- added Estonian language translations
- adapterized

Revision 1.39.2.8  2006/01/12 10:21:06  glen
- move myth{shutdown,welcome} to frontend package

Revision 1.39.2.7  2006/01/12 10:19:01  glen
- move myth{commflag,transcode} to backend package (thx Cougar for pointing it out)

Revision 1.39.2.6  2006/01/09 17:59:57  glen
- drop other desktop files than mythtv-frontend, as they're not useful

Revision 1.39.2.5  2006/01/06 23:53:27  glen
- up to r8332 (reported to be working after livetv changes)

Revision 1.39.2.4  2005/11/14 00:17:37  glen
- up to last svn revision 7738 where livetv still works

Revision 1.39.2.3  2005/11/03 23:38:45  glen
- 20051104 snap

Revision 1.39.2.2  2005/11/01 00:17:23  glen
- new snap test

Revision 1.39.2.1  2005/10/22 15:29:40  glen
- update to 20051019 snap

Revision 1.39  2005/10/17 14:57:22  glen
- make mmx bcond

Revision 1.38  2005/10/17 14:15:53  qboosh
- not all i686 have mmx too (note Pentium Pro)

Revision 1.37  2005/10/16 19:40:06  glen
- add ppc to ExclusiveArch list (gentoo has it so it perhaps works?)

Revision 1.36  2005/10/16 19:34:13  glen
- not all i586 have mmx, so don't enable it (thx ankry)

Revision 1.35  2005/09/25 17:50:12  glen
- i586 has mmx

Revision 1.34  2005/09/25 17:49:21  glen
- disable mmx for i386 i486 i586 as they don't have it (FIXME)

Revision 1.33  2005/09/24 16:40:48  glen
- setup doesn't require backend and themes, afaik

Revision 1.32  2005/09/12 12:12:32  glen
- cleanup

Revision 1.31  2005/09/08 14:46:15  glen
- include also config.mak to libmyth-devel
- provide frontend-api for plugins

Revision 1.30  2005/09/08 02:49:55  glen
- disable configure distcc, ccache (you should be using macros if you need them)

Revision 1.29  2005/09/07 11:26:26  glen
- try use XvMC wrapper

Revision 1.28  2005/09/06 22:31:18  glen
- remove illegal %{_sysconfdir} usage

Revision 1.27  2005/09/06 22:29:42  glen
- fixed desktop files

Revision 1.26  2005/09/06 22:18:51  glen
- add desktop files
- cosmetics

Revision 1.25  2005/09/06 01:29:07  glen
- pass %{_lib} to configure
- remove COPYING from %doc (GPL)

Revision 1.24  2005/09/05 20:12:55  ankry
- tabs

Revision 1.23  2005/09/05 17:05:28  glen
- patch0 removed
- add --enable-proc-opt when cpu_autodetect bcond is on
- fix opengl bcond

Revision 1.22  2005/09/05 16:38:45  glen
- fix permissions of filters and state dirs
- fix homedir of mythtv user
- cleanups

Revision 1.21  2005/09/04 11:44:59  glen
- database schema moved to setup package
- %banner for db schema setup

Revision 1.20  2005/09/04 11:04:19  qboosh
- more general lib64 if

Revision 1.19  2005/09/04 10:58:49  glen
- build fixes for amd64
- fixed cache dir

Revision 1.18  2005/09/03 22:07:56  glen
- lib64 fixes
- CFLAGS passing works, but they get overriden still

Revision 1.17  2005/09/03 19:58:45  glen
- cleanups

Revision 1.16  2005/08/29 23:29:08  jpc
- bring the mythtv-setup back

Revision 1.15  2005/06/26 19:16:08  qboosh
- more todo

Revision 1.14  2005/06/26 19:01:02  qboosh
- unified preamble, use x8664 macro

Revision 1.13  2005/06/26 18:58:45  qboosh
- fixed backend dep

Revision 1.12  2005/06/26 14:42:31  averne
- updated to 0.18.1, NFY

Revision 1.11  2005/05/24 19:06:28  darekr
- missing dirs

Revision 1.10  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.9  2005/04/12 22:59:43  qboosh
- pl, some cleanups

Revision 1.8  2005/04/10 18:07:18  glen
- added mythtv user/group
- fixed %files
- cleanups

Revision 1.7  2005/04/06 16:57:44  glen
- linuxtv-dvb-1.1.1 from llh
- CFLAGS
- QTDIR in %install (it compiles things in that stage somewhy!)
- mythbackend, mythfrontend available :)

Revision 1.6  2005/04/05 21:01:06  glen
- todo

Revision 1.5  2005/04/05 20:58:50  glen
- prefix fixed
- simplify BR

Revision 1.4  2005/04/05 18:57:40  glen
- -static subpackage
- minor fixes

Revision 1.3  2005/04/05 18:46:31  glen
- cleanups; package is produced

Revision 1.2  2005/04/05 16:37:28  glen
- adapterized
- PLD deps
- restored missing cvs log
- new bcond

Revision 1.1  2005/04/05 15:43:55  glen
- raw import from http://forevermore.net/files/mythtv_misc/mythtv.spec
